Bug 1463355 - [RFE] Add TLS support for HAProxy management interface (stats socket)
Summary: [RFE] Add TLS support for HAProxy management interface (stats socket)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M3
: 12.0 (Pike)
Assignee: Angus Thomas
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-20 15:40 UTC by Nathan Kinder
Modified: 2018-02-05 19:07 UTC (History)
12 users (show)

Fixed In Version: puppet-tripleo-7.4.1-0.20170916161117.4a16f48.el7ost
Doc Type: Release Note
Doc Text:
When TLS everywhere is enabled, the HAProxy stats interface will also use TLS. As a result, you will need to access the interface though the individual node's ctlplane address, which is either the actual IP address or the FQDN (using the convention <node name>.ctlplane.<domain>, for example, overcloud-controller-0.ctlplane.example.com). This setting can be configured by the `CloudNameCtlplane` parameter in `tripleo-heat-templates`. Note that you can still use the `haproxy_stats_certificate` parameter from the HAproxy class, and it will take precedence if set.
Clone Of:
Environment:
Last Closed: 2017-12-13 21:33:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 478894 None MERGED Enable TLS for the HAProxy stats interface 2020-05-01 16:20:00 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Nathan Kinder 2017-06-20 15:40:48 UTC
Director needs to have support for configuring the HAProxy management interface (stats socket) to use TLS.  Director configures HAProxy to listen on a TCP socket for this interface.  More details are available here:

  https://cbonte.github.io/haproxy-dconv/1.6/management.html#9.2

Note - This was split off from the TLS everywhere RFE for OSP12 (bug# 1336504), which added TLS support for other internal traffic.

Comment 7 errata-xmlrpc 2017-12-13 21:33:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.